models/Coches.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "coches".
 *
 * @property int $id
 * @property string|null $marca
 * @property string|null $modelo
 * @property int|null $precio
 * @property string|null $fecha_entrada
 * @property string|null $foto
 * @property int|null $cilindrada
 */
class Coches extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'coches';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio', 'cilindrada'], 'integer'],
            [['fecha_entrada'], 'safe'],
            [['marca', 'modelo', 'foto'], 'string', 'max' => 25],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'marca' => 'Marca',
            'modelo' => 'Modelo',
            'precio' => 'Precio',
            'fecha_entrada' => 'Fecha Entrada',
            'foto' => 'Foto',
            'cilindrada' => 'Cilindrada',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use yii\data\ActiveDataProvider;
use app\models\Coches;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    public function actionCoches()
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Coches::find()]);
        return $this->render("vistaCoches",["dataProvider" => $dataProvider]);
    }
    
    public function actionOfertas()
    {
        $dataProvider = new ActiveDataProvider([
        'query' => Coches::find()->where(['oferta'=>1])]);
        return $this->render("vistaOfertas",["dataProvider" => $dataProvider]);
    }
    
    public function actionVer($id)
    {
        //$modelo=Coches::find()->where("id=$id")->one();
        //return $this->render("ver",["modelo"=> $modelo]);
        
        //$modelo=Coches::find()->where(["id" => $id])->one();
        //return $this->render("ver",["modelo"=> $modelo]);
        
        $modelo= Coches::findOne($id);
        return $this->render("ver",["modelo"=> $modelo]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Inicio', 'url' => ['/site/index']],
            ['label' => 'Coches', 'url' => ['/site/coches']],
            ['label' => 'Ofertas', 'url' => ['/site/ofertas']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">&copy; My Company <?= date('Y') ?></p>
        <p class="float-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/Ver.php
<?php

use yii\widgets\DetailView;
use yii\bootstrap4\Html;

echo DetailView::widget([
    'model' => $modelo,
    'attributes' => [
        'id',
        'marca',
        'modelo',
        'precio',
        'fecha_entrada',
        'cilindrada',
        [
            'label'=>'Foto',
            'format'=>'raw',
            'value'=>function($data){
                $url='@web/img/' . $data->foto;
                return Html::img($url,['class'=>'img-fluid', 'style'=>'width:300px']);
            }
        ]
            ]
]);

views/site/_ofertas.php
<?php
use yii\bootstrap4\Html;
?>

<div class="card" style="width: 18rem;">
  <ul class="list-group list-group-flush">
    <li class="list-group-item"><?= $model->marca ?></li>
    <li class="list-group-item"><?= $model->modelo ?></li>
    <li class="list-group-item"><?= $model->precio ?></li>
    <li class="list-group-item"><?= Html::a('Ver mas...', ['site/ver', 'id' => $model->id], ['class' => 'profile-link']) ?></li>
    
  </ul>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\bootstrap4\Html;

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<style>
    *{
        text-align: center;
    }
</style>
<div>
    <h1>CONCESIONARIO LEON</h1>
    
    <p>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed non feugiat urna. Nunc dapibus sit amet justo eu ullamcorper. In tempus ullamcorper pellentesque. 
       Vivamus vel scelerisque arcu, a venenatis diam. Vivamus at pellentesque orci. Nullam malesuada, justo mollis posuere elementum, metus velit viverra eros, 
       sed aliquam lacus lectus ac ipsum. Aenean felis odio, semper sed cursus in, commodo nec diam. Praesent consectetur sollicitudin sem id imperdiet. Aenean mauris ante, 
       pretium vitae urna sagittis, cursus gravida diam. Vestibulum elit nisi, iaculis in pharetra eu, volutpat eu tellus. Fusce pulvinar rhoncus mauris, 
       hendrerit blandit lacus auctor ut. Aliquam a viverra nibh. Etiam ac ultrices quam.
    </p>
    
    <p>
        Sed ut porttitor leo, ac sollicitudin ipsum. Vestibulum volutpat feugiat dui a commodo. Curabitur risus lacus, faucibus eget est nec, pellentesque suscipit ligula. 
        Ut dapibus, odio eget pharetra egestas, ipsum neque viverra arcu, eget blandit nisl libero sit amet ligula. Ut congue felis non enim imperdiet varius. Nulla rhoncus volutpat nibh, 
        convallis dapibus mauris posuere vitae. Ut venenatis ligula pharetra, laoreet dui ac, hendrerit felis. Ut pretium risus purus, in interdum turpis pellentesque a. 
        Vivamus fringilla egestas finibus. Vestibulum sit amet leo urna. Nullam sed mi vel lectus dictum suscipit. Integer tincidunt risus tempor, feugiat risus at, finibus nisi. 
        Nunc sapien orci, feugiat id fermentum id, malesuada eget est. Aliquam tempus efficitur lobortis.
    </p>
    
    <p>
        Curabitur ornare aliquam massa, vel luctus enim hendrerit vitae. In hac habitasse platea dictumst. Integer libero erat, maximus ut velit non, sagittis efficitur erat. 
        Sed tincidunt lacinia eros, ac placerat urna scelerisque at. Cras at nulla congue, iaculis nibh ac, ultrices turpis. Vivamus quis fringilla metus. In hac habitasse platea dictumst. 
        Curabitur gravida a sapien vel vulputate. Cras eleifend pulvinar maximus. Fusce hendrerit metus quis est ultrices bibendum. Proin eu euismod eros. Quisque a lorem congue, 
        faucibus nisl eget, auctor magna. Quisque placerat felis nibh, sed euismod lorem ultrices non. Nunc nunc mauris, rhoncus ac dapibus ac, finibus vel odio.
    </p>
    
    <?=    Html::img('@web/img/concesionario.jpg',['width' => 750])?>
    
</div>

views/site/vistaCoches.php
<?php

use yii\grid\GridView;
use yii\bootstrap4\Html;

echo GridView::widget([
    'dataProvider' => $dataProvider,
    'columns' => [
        'id',
        'marca',
        'modelo',
        'precio',
        [
            'label'=>'Foto',
            'format'=>'raw',
            'value'=>function($data){
                $url='@web/img/' . $data->foto;
                return Html::img($url,['class'=>'img-fluid', 'style'=>'width:300px']);
            }
        ],
        [
            'label'=>'Acciones',
            'format'=>'raw',
            'value' => function($data){
                $url = ['site/ver','id'=>$data->id];
                return Html::a('Ver mas...', $url, ['class' => 'btn btn-primary']); 
            }
        ],

    ]]);

?>

views/site/vistaOfertas.php
<?php

use yii\widgets\ListView;

echo ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_ofertas',
    ]);

?>